.calculator {
    @media (min-width: $screen-sm-min) {
        background-image: url($image-path + "calculator-bg.jpg");
        background-position-x: center;
        background-position-y: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
}

.calculator-data,
.calculator-about {
    background-position-x: center;
    background-position-y: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 60px 30px;
}

.calculator-data {
    background-image: url($image-path + "data-bg.jpg");
    position: relative;
    @media (min-width: $screen-sm-min) {
        background-image: none;
    }
    @media (min-width: $screen-md-min) {
        &>div:nth-child(2) {
            border-top: 1px solid $background-color-8;
            margin-top: 10px;
            padding-top: 40px;
        }
    }
    .form-group {
        margin-bottom: 40px;
        position: relative;
        text-align: center;
        label {
            color: $text-color-1;
            font-weight: 400;
            text-transform: none;
        }
        img {
            margin: 5px auto 15px auto;
        }
        &.sex {
            @media (min-width: $screen-md-min) {
                @include transform-translate(0, 50%);
            }
            img {
                cursor: pointer;
                margin: 5px 10px 15px 10px;
            }
        }
        .controls {
            border-radius: 15px;
            margin: 0 auto;
            overflow: hidden;
            position: relative;
            width: 200px;
            @media (min-width: $screen-sm-min) {
                width: 140px;
            }
            >span {
                background-color: $background-color-5;
                color: $text-color-1;
                cursor: pointer;
                font-size: 18px;
                padding: 3px 20px;
                position: absolute;
                right: 0;
                @media (min-width: $screen-sm-min) {
                    font-size: 14px;
                    padding: 2px 15px;
                }
                &.glyphicon-triangle-top {
                    top: 0;
                }
                &.glyphicon-triangle-bottom {
                    bottom: 0;
                    top: auto;
                }
            }
        }
        .incorrect-value {
            background-color: $background-color-9;
            color: $text-color-1;
            left: 0;
            margin: 0 auto;
            padding: 10px;
            position: absolute;
            right: 0;
            bottom: 55px;
            width: 246px;
            @media (min-width: $screen-sm-min) {
                bottom: 45px;
                width: 100%;
            }
            @media (min-width: $screen-md-min) {
                width: 100%;
            }
            @media (min-width: $screen-lg-min) {
                width: 100%;
            }
            &::after {
                border-left: 10px solid transparent;
                border-right: 10px solid transparent;
                border-top: 8px solid $background-color-9;
                bottom: -8px;
                content: "";
                left: 0;
                margin: 0 auto;
                position: absolute;
                right: 0;
                width: 15px;
            }
        }
    }
    .form-control {
        background-color: $background-color-5;
        border-radius: 15px;
        border-width: 0;
        color: $text-color-1;
        display: inline-block;
        font-size: 18px;
        height: 46px;
        padding: 0px 20px;
        text-align: center;
        @media (min-width: $screen-sm-min) {
            height: 36px;
        }
    }
    .select {
        .form-control {
            text-align: left;
            width: 200px;
        }
    }
    .check-button {
        bottom: -65px;
        display: block;
        left: 0;
        margin: 0 auto;
        position: absolute;
        right: 0;
        text-align: center;
        z-index: 1;
        @media (min-width: $screen-sm-min) {
            margin-top: 30px;
            position: static;
        }
        button {
            display: block;
            margin: 0 auto;
        }
        .submit {
            background-color: $background-color-2;
            border-width: 0;
            color: $text-color-1;
            font-size: 20px;
            padding: 20px 30px;
            text-transform: uppercase;
        }
        .reset {
            background-color: transparent;
            border-width: 0;
            color: $text-color-default;
            font-size: 16px;
            margin-top: 10px;
            padding: 0;
            @media (min-width: $screen-sm-min) {
                color: $text-color-1;
            }
        }
    }
}

.calculator-about {
    background-image: url($image-path + "about-bg.jpg");
    padding-top: 90px;
    @media (min-width: $screen-sm-min) {
        background-image: none;
        padding-top: 60px;
    }
    @media (min-width: $screen-lg-min) {
        padding: 60px 15px 60px 190px;
    }
    >h1,
    >p {
        text-align: center;
        @media (min-width: $screen-sm-min) {
            text-align: left;
        }
    }
    >h1 {
        margin-bottom: 30px;
        margin-top: 0;
    }
    /*>p {
        font-weight: 700;
    }*/
    .result {
        background-color: $background-color-2;
        color: $text-color-1;
        margin-bottom: 40px;
        margin-top: 60px;
        padding: 20px;
        position: relative;
        text-align: center;
        @media (min-width: $screen-lg-min) {
            display: inline-block;
            height: 232px;
            padding: 20px 40px;
            text-align: left;
            @include transform-translate(-60px, 0);
        }
        &::before {
            @media (min-width: $screen-lg-min) {
                background-image: url($image-path + "result.png");
                bottom: -96px;
                content: "";
                height: 551px;
                left: -130px;
                position: absolute;
                width: 201px;
            }
        }
        &::after {
            background-color: rgba($background-color-6, 0.3);
            border-radius: 50%;
            bottom: -20px;
            box-shadow: 0 0 6px 2px rgba($background-color-6, 0.4);
            content: "";
            height: 5px;
            left: 30px;
            position: absolute;
            right: 30px;
        }
        >.h4 {
            line-height: 1.4;
            margin-bottom: 10px;
            margin-top: 0;
            text-transform: none;
        }
        span {
            background-color: $background-color-4;
            color: $text-color-default;
            display: inline-block;
            font-size: 16px;
            padding: 10px 15px;
            &:first-of-type {
                font-size: 24px;
                font-weight: 700;
                margin-bottom: 20px;
            }
        }
    }
    .facebook {
        color: $text-color-default;
        font-size: 16px;
        font-weight: 700;
        opacity: 0;
        position: relative;
        text-align: center;
        z-index: -1;
        @include transition-delay(0s);
        @include transition-duration(0.5s);
        @include transition-property(opacity);
        @include transition-timing(ease);
        @media (min-width: $screen-lg-min) {
            text-align: left;
        }
        &.active {
            opacity: 1;
            z-index: 0;
        }
    }
}

.main-info {
    padding: 30px 0;
}